{ inputs, ... }:
let
  forEachSystem =
    inputs.nixpkgs.lib.genAttrs [ "aarch64-linux" "x86_64-linux" ];
in forEachSystem (system:
  let
    overlays = import ../overlays { inherit inputs pkgs; };
    overrides = { custom = import ../packages { inherit pkgs; }; };
    pkgs = import inputs.nixpkgs { inherit system overlays; } // overrides;
  in {
    default = import ./devsh { inherit pkgs; };
    devsh = import ./devsh { inherit pkgs; };
  })
